Bug 587441 - RFE: Use the protect packages feature of yum, to protect the "main" python
Summary: RFE: Use the protect packages feature of yum, to protect the "main" python
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: python   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-29 22:32 UTC by James Antill
Modified: 2011-09-02 17:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-02 17:14:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Antill 2010-04-29 22:32:11 UTC
Description of problem:
 We've merged protect-packages into yum (first version in rawhide is 3.2.27-9.fc14), and with the default config. a package can drop a file of "protected packages" into /etc/yum/protected.d

 Eg. python atm. should do:

echo python > /etc/yum/protected.d/python.conf

...this will stop users of yum from removing python, without going to a lot of trouble.
 Given python is such a core feature, I figured I'd open this BZ.

Comment 1 Dave Malcolm 2010-05-04 22:25:26 UTC
Is this yum feature documented somewhere?

Comment 2 Dave Malcolm 2011-04-19 00:59:41 UTC
(In reply to comment #1)
> Is this yum feature documented somewhere?
Answering my own question, I see:
http://docs.fedoraproject.org/en-US/Fedora/14/html/Software_Management_Guide/ch04s08s07.html

which says:
"yum is by default the only protected package, but by extension this automatically protects everything that yum depends on(rpm, python, glibc, etc.). So then this functionality is very good even without the need to carefully construct lists of important packages."

So is this actually needed?

Comment 3 Toshio Ernie Kuratomi 2011-09-02 17:14:27 UTC
Talked with seth.  He agrees that the yum dependency on python is sufficient for now.


Note You need to log in before you can comment on or make changes to this bug.